/* Montserrat */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

/* Poppins  */
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');


body {
    font-family: "Poppins", serif;
}

html {
    scroll-behavior: smooth;
}

/* ------------------------------- Range  */
:root {
    --slider-color-sand: #dba006;
}

/* Targeting the flat skin – change if you're using another */
.irs--flat .irs-bar {
    background-color: var(--slider-color-sand);
    height: 4px;
    top: 25px;
    /* align bar with handle center */
}

button:focus {
    border: none;
    outline: none;
}

.irs--flat .irs-line {
    background-color: #e0e0e0;
    height: 4px;
    top: 25px;
}

/* Circle handle */
.irs--flat .irs-handle {
    background-color: var(--slider-color-sand);
    width: 16px;
    height: 16px;
    border-radius: 50%;
    top: 18px;
    /* vertically center over 4px bar */
    border: none;
}

/* Optional: on hover */
.irs--flat .irs-handle:hover {
    box-shadow: 0 0 0 4px rgba(255, 169, 32, 0.2);
}

.irs--flat .irs-handle>i:first-child {
    display: none;
}

/* -------------------------------Form  */
input:focus,
select:focus,
textarea:focus {
    outline: none !important;
}

input,
select {
    height: 48px;
    padding: 0 24px;
}

textarea {
    height: 120px;
    padding: 20px 24px;
}

input,
select,
textarea {
    width: 100%;
    font-size: 18px;
    border-radius: 10px;
    border: 1px solid #E5E5EA;
    transition: all 0.3s ease-in-out;
}

input::placeholder,
textarea::placeholder {
    color: #5A5355 !important;
}

#search-box,
#search-box:focus {
    outline: none !important;
    border: none !important;
}

.submit-btn {
    background-color: #dba006;
    color: #fff;
    font-weight: 700;
    cursor: pointer;
}

.submit-btn:hover {
    background-color: black;
    transition: all 0.3s ease-in-out;

}

.contact-form label {
    font-size: 16px;
    margin-bottom: 8px;
    /* Reduce spacing */
    display: inline-block;
    /* Keep labels closer */
    font-weight: 600;
    color: #3A3A3C;
}

.group:hover .icon-bounce {
    animation: bounceRight 0.3s ease-in-out;
}

@keyframes bounceRight {
    0% {
        transform: translateX(0);
    }

    50% {
        transform: translateX(6px);
    }

    100% {
        transform: translateX(0);
    }
}


/* -------------------------------------- owl-slider */

.slider-1 .owl-nav {
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    display: flex;
    justify-content: space-between;
    transform: translateY(-50%);
    opacity: 0;
    transition: opacity 0.3s ease;
    pointer-events: none;
}

.slider-1 .owl-nav button {
    background: white !important;
    border-radius: 0.5rem !important;
    width: 35px;
    height: 35px;
    display: flex !important;
    justify-content: center;
    align-items: center;
    box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.08);
    pointer-events: auto;
}

.slider-1 .owl-nav button>i {
    color: #f59e0b;
    font-size: 1.2rem;
    font-weight: bold;
    font-size: 12px;
}

.group:hover .slider-1 .owl-nav {
    opacity: 1;
    pointer-events: auto;
}


.slider-1 .owl-nav button:hover {
    transform: scale(1.1);
}



/* --------------------------------- Owl Slider  */
.owl-carousel {
    --owl_nav_bg: #dba006;
    --owl_nav_color: #fff;
    --nav_size: 36px;
    --nav_font_size: 16px;
}

.owl-carousel .owl-stage {
    display: flex;
}

.owl-nav>button {
    position: absolute;
    top: 40%;
    height: var(--nav_size);
    width: var(--nav_size);
    display: inline-flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    line-height: 1;
    font-size: var(--nav_font_size);
    border-radius: 50%;
    transition: all 0.5s ease-in-out;
}

.owl-nav>button>i {
    font-size: var(--nav_font_size);
}

.owl-carousel .owl-nav button.owl-next,
.owl-carousel .owl-nav button.owl-prev {
    background: var(--owl_nav_bg);
    color: var(--owl_nav_color);
    -webkit-box-shadow: 0px 5px 30px 0px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0px 5px 30px 0px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 5px 30px 0px rgba(0, 0, 0, 0.2);
}

.owl-carousel .owl-nav button.owl-prev {
    left: 0;
}

.owl-carousel .owl-nav button.owl-next {
    right: 0;
}


.owl-dots {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 15px;
    margin-top: 50px;
}

button.owl-dot span {
    display: block;
    height: 10px;
    width: 10px;
    background-color: #dba006;
    border-radius: 50%;
    transition: all 0.3s ease-in-out;
    outline: 1px solid transparent;
    outline-offset: 4px;
}

button.owl-dot.active span {
    outline-color: #dba006;
}

.owl-carousel button.disabled {
    background-color: #fff !important;
    --owl_nav_color: #8b8b8b;
    pointer-events: none;
}

/* ------------------------------------------------- Home  */
.global-property-list .owl-nav button {
    top: 140px;
    transform: translateY(-50%);
}

.global-property-list .owl-nav button.disabled {
    display: none !important;
}

/* ============================================================================================ gallery  */
.slick-lightbox .slick-prev,
.slick-lightbox .slick-next {
    position: absolute;
    height: 50px;
    width: 50px;
    top: 50%;
    transform: translateY(-50%);
    background-color: #000;
    color: #fff;
    border-radius: 50%;
    z-index: 999999;
}

.slick-lightbox .slick-prev {
    left: 15%;
}

.slick-lightbox .slick-next {
    right: 15%;
}

.slick-lightbox-close {
    position: absolute;
    top: 15%;
    right: 5%;
    height: 30px;
    width: 30px;
    background-color: #000;
    color: #fff;
    cursor: pointer;
}

/* ----------------------------------dashboard properties */
.custom-scrollbar::-webkit-scrollbar {
    width: 6px;
}

.custom-scrollbar::-webkit-scrollbar-thumb {
    background-color: #dba006;
    /* Tomar chawa color */
    border-radius: 10px;
}

.custom-scrollbar::-webkit-scrollbar-track {
    background-color: #fcffff;
    /* Tailwind gray-100 */

}

select {
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    background-color: #fff !important;
    background: url("data:image/svg+xml,%3Csvg width=\'20\' height=\'20\' xmlns=\'http://www.w3.org/2000/svg\'%3E%3Cpath d=\'M5 6l5 5 5-5 2 1-7 7-7-7 2-1z\' fill=\'%23c1c1c1\'/%3E%3C/svg%3E") no-repeat right 15px top 50%;
}

.wpcf7-not-valid-tip {
    font-size: 12px;
    margin: 4px 0 0 18px;
}



/* -----------------------------------------------  Custom Scrollbar   */
.custom-scrollbar::-webkit-scrollbar,
.custom-scrollbar_faq::-webkit-scrollbar {
    width: 4px;
    height: 4px;
}

.custom-scrollbar::-webkit-scrollbar-thumb {
    background-color: #a3a3a3;
    border-radius: 999px;
}

.custom-scrollbar::-webkit-scrollbar-track {
    background-color: #fcffff;
    border-radius: 999px;
}

/* ---------------------------- Contact Form 7  */
.wpcf7-textarea {
    margin-bottom: -4px;
}

.wpcf7-not-valid-tip {
    color: #dc3232;
    font-size: 14px;
    line-height: 1.1;
    margin: 5px 18px 0;
}

.wpcf7 form .wpcf7-response-output {
    margin: 20px 0 0;
    padding: 10px 20px;
    line-height: 1.4;
    text-align: center;
    font-size: 14px;
    border: none;
    background-color: #488548;
    color: #fff;
    border-radius: 99px;
}

.wpcf7 form.wpcf7-form.invalid .wpcf7-response-output {
    background-color: #dc3232;
}

form.submitting .wpcf7-spinnerwpcf7-submit {
    background-color: #f2f2f2;
}


.wpcf7-spinner {
    margin: 0 !important;
}

.wpcf7 form.submitting .wpcf7-submit {
    pointer-events: none;
    opacity: 0.6;
    cursor: not-allowed;
}


/* -----------------------------------------------------------------------------Language  */
.gtranslate_wrapper select {
    width: 90px;
    font-size: 14px;
    padding: 0 10px;
    height: 36px;
    border-radius: 8px;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    background-color: #fff !important;
    background: url("data:image/svg+xml,%3Csvg width=\'20\' height=\'20\' xmlns=\'http://www.w3.org/2000/svg\'%3E%3Cpath d=\'M5 6l5 5 5-5 2 1-7 7-7-7 2-1z\' fill=\'%23c1c1c1\'/%3E%3C/svg%3E") no-repeat right 6px top 50% / 14px;
}

.gtranslate_wrapper select option[value=''] {
    display: none !important;
}

/* ====================================== Header Action Button Slider  */
.action-slider.owl-carousel .owl-nav button.owl-prev {
    left: -10px !important;
}

.action-slider.owl-carousel .owl-nav button.owl-next {
    right: -10px !important;
}

.action-slider.owl-carousel .owl-nav button {
    width: auto !important;
    height: auto !important;
}



/* ------------------------- Gallery after login */
.page-template-dashboard-template .acf-gallery-side,
.a.acf-icon.-pencil.dark {
    display: none !important;
}

.page-template-dashboard-template .acf-gallery .acf-gallery-main {
    right: 0 !important;
}

.page-template-dashboard-template .acf-gallery .acf-gallery-attachment .actions {
    display: block !important;
}